\include "mignon_common.ly"

\version "2.10.0"

% TODO TODO TODO: bar 119 beat 3, sopranos: choir or 2nd soloist?

% TODO: c minor!

% bar number += 50

\header { subsubtitle = "Nr. 3" }

\paper
{
  print-first-page-number = ##t
  first-page-number = #3
}

sopranoSoloI = \relative c {
  s1*50
  % 101
  bes''2~\p \times 2/3 { bes4 a bes } |
  % 102
  f'2 ees4 s4 |
  % 103
  bes2~ \times 2/3 { bes4 a bes } |
  % 104
  ees1 |
  % 105
  s4 aes,2 bes8 ces8 |
  % 106
  des4 des ces bes8 ces |
  % 107
  bes2 s2 s1 s2 bes4 c8 d8 |
  % 110
  ees4. ees8 des4 c8 des8 |
  % 111
  c2 s2 |
  % 112
}

sopranoSoloII = \relative c {
  s1*50
  % 101
  g''2~ \times 2/3 { g4 g g } |
  % 102
  aes2 aes4 s |
  % 103
  g2~ \times 2/3 { g4 g g } |
  % 104
  ges1 |
  % 105
  s4 f2 ees8 ees |
  % 106
  des4 ees f f8 f |
  % 107
  f2 s s1 s2 bes4 bes8 bes |
  % 110
  bes4. bes8 bes4 bes8 bes |
  % 111
  bes2 s |
  % 112
}

sopranoSoloSolo = \relative c'' {
  R1*39
  \key ees \major
  % 90
  r4 \once \override TextScript #'padding = #3 f2\p^\markup{\bold{I Solo}}b,4 |
  % 91
  d4. c8 c4 bes8 aes |
  % 92
  g4 r4 r2 |
  % 93
  R1
  % 94
  r4 \once\override TextScript #'padding = #3 d'4\p^\markup{\bold{II Solo}}f d |
  % 95
  b b c bes8 aes |
  % 96
  aes4 g r2 |
  % 97
  g4 f r2 R1*3
  % 101
  s1*6
  % 107
  s2 r R1 r2 s s1 s2 r R1
  % 113
  r2 e'4.^\markup { \bold { I Solo } } e8 |
  % 114
  g4. f8 f4 ees8 des |
  % 115
  c4 r4 r2
  % 116
  R1
  % 117
  r2 \once\override TextScript #'padding = #3 c4.^\markup{\bold{II Solo}}\p c8 |
  % 118
  ees4 des des c8 bes |
  % 119
  c4 r r2 R1*6
}

soprano = \relative c'' {
  \clef treble
  R1*2 f4.\f d8 a4 a8. b16 |
  % 54
  d4 c8. c16 c2 |
  % 55
  e4~ \times 2/3 { e8 c e } e4~ \times 2/3 { e8 b e } |
  % 56
  g4~\sf \times 2/3 { g8 f e } f2 |
  % 57
  c4~ \times 2/3 { c8 a c } \times 2/3 { c d e } f4~ |
  % 58
  f4~ \times 2/3 { f8 e d } d2 |
  % 59
  a4~\p \times 2/3 { a8 c f } f8-. c-. \times 2/3 { bes c g } |
  % 60
  a4 r4 r2 r4 c4 cis2 |
  % 62
  r4 d \setTextCresc dis4.\< dis8 |
  % 63
  e4\sf e,8 e e4 r R1 r4 b' b2 |
  % 66
  r4 c cis e |
  % 67
  d4 d,8 d d4 r4 R1 r2 f'~\f f4 d a b8. b16 |
  % 71
  d4 c8 c c4 r4 R1 fis,2..\p fis8 |
  % 74
  a2 g |
  % 75
  bes bes4. bes8 |
  % 76
  a2 r r a~\p a4 a \setTextCresc b\< b8 b |
  % 79
  c4\! c8 c c2 |
  % 80
  R1 |
  % 81
  c4~ \times 2/3 { c8 a c } d4~ \times 2/3 { d8 e f } |
  % 82
  \setTextCresc bes,1~\< bes4\! bes a bes8 c |
  % 84
  d1~ d4 d cis d8 e |
  % 86
  f4 r f2~\f f4 f fis fis8 fis |
  % 88
  g4 g,8 g g4 r4 R1
  \key ees \major
  % 90
  R1*2 r2 g~\p g4 g c d8 ees |
  % 94
  d4 r r2 R1 r2 des\p |
  % 97
  r4 c \setTextCresc c8\< aes c f |
  % 98
  aes4 g f2~\! f4 ees des c |
  % 100
  c2\> bes\! |
  % 101
  R1*6 r2 bes4.\p bes8 |
  % 108
  ces2.\> ces4\! | % TODO: soufflé
  % 109
  bes2 r R1 r2 c4. c8 |
  % 112
  des2\> des4.\! des8 | % TODO: soufflé
  % 113
  c2 r R1 r2 c4.\f c8 |
  % 116
  f4 c8 c aes4 g8 f |
  % 117
  c'2 r R1 r2 \setTextCresc c\p\< | % TODO: check limits for cresc.
  % 120
  r2 c4. c8 | % ... stopping it on the rest here is fine...
  % 121
  f2 c4 f |
  % 122
  f2\f f4. f8 | % ... but here it's more logical
  % 123
  c1-^ |
  % 124
  R1*2
}

sopranoLyrics = \lyricmode {
  Seht die mäch -- ti -- gen Flü -- gel doch an! seht __ _ die mäch -- ti --
gen Flü -- gel doch an! seht __ _ die mäch -- ti -- gen Flü -- gel doch an!
  seht __ _ das leich -- te, rei -- ne Ge -- wand!
  wie blinkt die gold' -- ne Bin -- de vom Haupt! wie blinkt die gold' -- ne
Bin -- de vom Haupt! seht die mäch -- ti -- gen Flü -- gel doch an!
  Seht die schö -- ne, wür -- di -- ge Ruh'!
  seht die mäch -- ti -- gen Flü -- gel doch an!
  se -- het das rei -- ne Ge -- wand, __ das rei -- ne Ge -- wand, __ das rei
-- ne Ge -- wand, seht __ die mäch -- ti -- gen Flü -- gel doch an!
  % 92
  Seht __ das rei -- ne Ge -- wand!
  % 96
  Seht, wie blinkt __ _ die __ _ gold' -- ne Bind -- _ de vom Haup -- te!
  % 107
  seht die schö -- ne Ruh'!
  % 111
  Seht die Flü -- gel doch an,
  % 115
  seht die mäch -- ti -- gen Flü -- gel doch an!
  % 119
  Schaut mit den Au -- gen des Gei -- stes hin -- an!
}

sopranoSoloLyrics =
\lyricmode
{
  % 90
  Ach! die Flü -- gel he -- ben sie nicht;
  % 94
  im leich -- ten Spie -- le flat -- tert es nicht mehr,
  % 97
  nicht \set associatedVoice = sopranoSoloI mehr,
  % 101
  als __ wir mit Ro -- sen kränz -- ten ihr Haupt, blick -- te sie
  % 106
  hold und freund -- lich nach uns, blick -- te sie hold und freund -- lich nach
  % 111 
  \set associatedVoice = sopranoSoloSolo uns.
  % 113
  Ach! die Flü -- gel he -- ben sie nicht! 
  % 117
  Ach! die Flü -- gel he -- ben sie nicht!
}

% Doesn't work...
% tri = { \times 2/3 }

alto = \relative c'' {
  \clef treble
  R1*2 a4.\f f8 f4 d8. d16 |
  % 54
  a'4 a8. a16 a2 |
  % 55
  c4. c8 b4~ \times 2/3 { b8 b b } |
  % 56
  cis4~\sf \times 2/3 { cis8 cis cis } d2 |
  % 57
  a4. a8 \times 2/3 { g8 g g } f4~ f~ \times 2/3 { f8 bes bes } a2 |
  % 59
  f4~\p \times 2/3 { f8 a c } c-. f,-. \times 2/3 { g8 d e } |
  % 60
  f4 r r2 r4 a a2 |
  % 62
  r4 a \setTextCresc a4.\< a8 |
  % 63
  gis4\sf e8 e e4 r R1 r4 gis gis2 |
  % 66
  r4 a a a |
  % 67
  a d,8 d d4 r4 R1 r2 a'~\f a4 f f f8. f16 |
  % 71
  e4 e8 e e4 r4 R1 e2..\p e8 |
  % 74
  dis2 e |
  % 75
  g g4. g8 |
  % 76
  e2 r r f~\p f4 f \setTextCresc f\< f8 f |
  % 79
  f4\! f8 f f2 |
  % 80
  R1 |
  % 81
  a4~ \times 2/3 { a8 f a } bes4~ \times 2/3 { bes8 c d } |
  % 82
  \setTextCresc g,1~\< g4 g f g8 a |
  % 84
  bes1~ bes4 bes a b8 cis |
  % 86
  d4 r4 a2~\f a4 a a a8 a |
  % 88
  g4 g8 g g4 r R1
  \key ees \major
  % 90
  R1*2 r2 d\p |
  % 93
  c4 c g' g8 g |
  % 94
  g4 r r2 R1 r2 g\p |
  % 97
  r4 aes \setTextCresc aes\< aes |
  % 98
  aes4 aes aes2~\! aes aes4 aes |
  % 100
  aes2\> aes\! |
  % 101
  R1*6 r2 aes4.\p aes8 |
  % 108
  aes2.\> aes4\! | % TODO: soufflé
  % 109
  aes2 r2 R1 r2 bes4. bes8 |
  % 112
  bes2\> bes4.\! bes8 | % TODO: soufflé
  % 113
  bes2 r2 R1 r2 g4.\f g8 |
  % 116
  aes4 c8 c aes4 g8 f |
  % 117
  e2 r2 R1 r2 \setTextCresc e2\p\< | % TODO: limits, etc.
  % 120
  r2 e4. e8 |
  % 121
  g2 e4 c' |
  % 122
  bes2\f bes4. bes8 |
  % 123
  bes1-^ |
  % 124
  R1*2
}

altoLyrics = \lyricmode {
  Seht die mäch -- ti -- gen Flü -- gel doch an! seht die mäch -- ti --
gen Flü -- gel doch an! seht die mäch -- ti -- gen Flü -- gel doch an!
  seht __ _ das leich -- te, rei -- ne Ge -- wand!
  wie blinkt die gold' -- ne Bin -- de vom Haupt! wie blinkt die gold' -- ne
Bin -- de vom Haupt! seht die mäch -- ti -- gen Flü -- gel doch an!
  Seht die schö -- ne, wür -- di -- ge Ruh'!
  seht die mäch -- ti -- gen Flü -- gel doch an!
  se -- het das rei -- ne Ge -- wand, __ das rei -- ne Ge -- wand, __ das rei
-- ne Ge -- wand, seht __ die mäch -- ti -- gen Flü -- gel doch an!
  % 92
  Seht __ _ das rei -- ne Ge -- wand!
  % 96
  Seht, wie blinkt die gold' -- ne Bind -- de vom Haup -- te!
  % 107
  seht die schö -- ne Ruh'!
  % 111
  Seht die Flü -- gel doch an,
  % 115
  seht die mäch -- ti -- gen Flü -- gel doch an!
  % 119
  Schaut mit den Au -- gen des Gei -- stes hin -- an!
}

tenoreTutti = \relative c' {
  % 51
  f4.\f d8 a4 b8. b16 |
  % 52
  d4 c8. c16 c2 |
  % 53
  d4. d8 d4 f8. f16 |
  % 54
  e4 e8. e16 e2 |
  % 55
  e4. e8 e4~ \times 2/3 { e8 e e } |
  % 56
  e4~\sf \times 2/3 { e8 f g } f2 |
  % 57
  c4. c8 \times 2/3 { c8 c c } d4~ d~ \times 2/3 { d8 g, g } a2 |
  % 59
  R1 |
  % 60
  a4~\p \times 2/3 { a8 c f } f8-. c-. \times 2/3 { bes8 c g } |
  % 61
  a2 r4 cis |
  % 62
  d d \setTextCresc a\< a8 a |
  % 63
  b4\! r4 e4.\f b8 |
  % 64
  gis8 b e gis fis4 e8 e |
  % 65
  e4 r r b |
  % 66
  c c a a8 a |
  % 67
  a4 r f'2~\f f4 d a b8 b |
  % 69
  d4 c8 c a4 r |
  % 70
  d2 d |
  % 71
  c2. r4 R1*4 g'4.\f e8 b4 cis8 cis |
  % 77
  e4 d8 d d2 |
  % 78
  R1*2 s1
  % 81
  s4 r r2 R1 r4 \setTextCresc c\< c c8 c |
  % 84
  f1~\! f4 f e a,8 a |
  % 86
  a4 r d2~\f d4 d d d8 d |
  % 88
  d4 d8 d d4 r R1
  \key ees \major
  % 90
  R1*2  r2 b\p |
  % 93
  c4 c c b8 c |
  % 94
  b4 r4 r2 R1 r2 e2\p |
  % 97
  r4 c \setTextCresc c\< c |
  % 98
  c4 c des2~\! des f4 ees |
  % 100
  des2\> des\! |
  % 101
  R1*6 r2 f4.\p f8 |
  % 108
  f2.\> f4\! | % TODO: soufflé
  % 109
  f2 r2 R1 r2 g4. g8 |
  % 112
  g2\> g4.\! g8 |
  % 113
  g2 r2 R1 r2 e4.\f e8 |
  % 116
  f4 c8 c aes4 g8 f |
  % 117
  g2 r2 R1 r2 \setTextCresc c2\p\< |
  % 120
  r2 c4. c8 |
  % 121
  c2 c4 c |
  % 122
  s1\! | % dynamic crossing voices...
  % 123
  s1 |
  % 124
  R1*2
}

tenoreI = \relative c'
{
  s1*29
  % 80
  d4~\p \times 2/3 { d8 bes d } e4~ \times 2/3 { e8 f g }
  % 81
  c,4 s s2 |
  % 82
  s1*40 |
  % 122
  f2\f f4. f8 g1-^ |
  % 124
}

tenoreII = \relative c'
{
  s1*29
  % 80
  % TODO TODO TODO: 4.? Really?
  bes4.*10/9 \times 2/3 { bes8 } c4~ \times 2/3 { c8 d e } % * (5/3) / (3/2)
  % 81
  a,4 s s2 |
  % 82
  s1*40
  % 122
  d2 d4. d8 e1 |
  % 124
}

tenoreLyrics = \lyricmode {
  Seht die mäch -- ti -- gen Flű -- gel doch an! seht die mäch -- ti -- gen Flü
-- gel doch an! seht die mäch -- ti -- gen Flü -- gel doch an! seht die mäch --
ti -- gen Flü -- gel doch an!
  seht __ _ das leich -- te, rei -- ne Ge -- wand!
  wie blinkt die Bin -- de vom Haupt! seht die mäch -- _ ti -- gen Flü -- gel
doch an! wie blinkt die Bin -- de vom Haupt! seht die mäch -- ti -- gen Flü --
gel doch an! seht! seht! seht!
  % 76
  Seht die mäch -- ti -- gen Flü -- gel doch \set associatedVoice = tenoreI an!
  % 80
  seht __ _ das rei -- ne Ge -- \set associatedVoice = tenoreTutti wand! 
  % 83
  das rei -- ne Ge -- wand, __ das rei -- ne Ge -- wand,
  % 86
  seht __ die mäch -- ti -- gen Flü -- gel doch an!
  % 92
  Seht __ _ das rei -- ne Ge -- wand!
  % 96
  Seht, wie blinkt die gold' -- ne Bind -- de vom Haup -- te!
  % 107
  seht die schö -- ne Ruh'!
  % 111
  Seht die Flü -- gel doch an,
  % 115
  seht die mäch -- ti -- gen Flü -- gel doch an!
  % 119
  Schaut mit den Au -- \set associatedVoice = tenoreI gen des
  % 122
  Gei -- stes hin -- an!
}

bassoTutti = \relative c {
  \clef bass
  R1*2 d4.\f d8 d4 g8. g16 |
  % 54
  a4 a8. a16 a2 |
  % 55
  a4~ \times 2/3 { a8 c a } g4~ \times 2/3 { g8 b g } |
  % 56
  a4~ \times 2/3 { a8 a a } d2 |
  % 57
  f,4~ \times 2/3 { f8 a f } \times 2/3 { e e e } d4~ |
  % 58
  d~ \times 2/3 { d8 e e } f2 |
  % 59
  R1 |
  % 60
  f4~ \times 2/3 { f8 a c } c8-. a-. \times 2/3 { g d e } |
  % 61
  f2 r4 a |
  % 62
  a a \setTextCresc f\< f8 f |
  % 63
  e4\! r4 gis4. gis8 |
  % 64
  e gis b e b4 gis8 gis |
  % 65
  gis4 r4 r gis |
  % 66
  a a g g8 g |
  % 67
  f4 r4 d'2~\f d4 b fis gis8 gis |
  % 69
  b4 a8 a a4 r |
  % 70
  d,2 g |
  % 71
  s2. r4 R1 a,2..\p a8 |
  % 74
  b2 e |
  % 75
  g, g4. g8 |
  % 76
  a2 r r d2~\p d4 d \setTextCresc gis,\< gis8 gis |
  % 79
  a4\! a8 a a2 |
  % 80
  R1*2 r4 \setTextCresc b\p\< c d |
  % 83
  e4\! f8 g a4 r r a, bes c |
  % 85
  d e8 f g4 f8 e |
  % 86
  d4 r d'2~\f d4 d c c8 c |
  % 88
  b4 b8 b b4 r R1
  \key ees \major
  % 90
  R1*2 r2 f\p ees4 ees ees d8 c |
  % 94
  g'4 r r2 R1 r2 bes\p |
  % 97
  r4 f \setTextCresc f\< f |
  % 98
  f4 f f2~\! f f4 f |
  % 100
  f2\> f\! |
  % 101
  R1*6 r2 d4. d8 |
  % 108
  ees2.\> ees4\! | % TODO: souffĺe
  % 109
  d2 r2 R1 r2 e4. e8 |
  % 112
  f2\> f4.\! f8 | % TODO: soufflé
  % 113
  e2 r2 R1 r2 c'4.\f c8 |
  % 116
  f,4 c'8 c aes4 g8 f |
  % 117
  c2 r2 R1 r2 \setTextCresc c\p\< |
  % 120
  r2 c4. c8 |
  % 121
  c2 c4 c |
  % 122
  c2\f c4. c8 |
  % 123
  c1-^ |
  % 124
  R1*2
}

bassoI =
\relative c
{
  \clef bass
  s1*20
  % 71
  g'2.
}

bassoII =
\relative c
{
  \clef bass
  s1*20
  % 71
  c2.
}

bassoLyrics = \lyricmode {
  Seht die mäch -- ti -- gen Flü -- gel doch an! seht __ _ die mäch -- ti --
gen Flü -- gel doch an! seht __ _ die mäch -- ti -- gen Flü -- gel doch an!
  seht __ _ das leich -- te, rei -- ne Ge -- wand!
  wie blinkt die Bin -- de vom Haupt! seht die mäch -- _ ti -- gen Flü -- gel
doch an! wie blinkt die Bin -- de vom Haupt! seht die mäch -- ti -- gen Flü --
gel doch an!
  % 70
  seht! \set associatedVoice = bassoI seht!
  % 71
  \set associatedVoice = bassoTutti seht!
  % 73
  Seht die schö -- ne, wür -- di -- ge Ruh'!
  % 77
  seht die mäch -- ti -- gen Flü -- gel doch an! die schö -- ne, wür -- di --
ge Ruh',
  % 84
  die schö -- ne, schö -- ne __ _, wür -- di -- ge Ruh', seht __ die
mäch -- ti -- gen Flü -- gel doch an!
  % 92
  Seht __ _ das rei -- ne Ge -- wand!
  % 96
  Seht, wie blinkt die gold' -- ne Bind -- de vom Haup -- te!
  % 107
  seht die schö -- ne Ruh'!
  % 111
  Seht die Flü -- gel doch an,
  % 115
  seht die mäch -- ti -- gen Flü -- gel doch an!
  % 119
  Schaut mit den Au -- gen des Gei -- stes hin -- an!
}

local = {
  \global
  \key c \major
  \time 4/4 
  \set Score.currentBarNumber = #51 \bar ""
}

\score {
  <<
    \new Staff = sopraniSoli
    <<
      \set Staff.instrumentName = "Soprani soli"
      \set Staff.shortInstrumentName = "Sopr."
      \new Voice = sopranoSoloI { \voiceOne \local \sopranoSoloI }
      \new Voice = sopranoSoloII { \voiceTwo \local \sopranoSoloII }
      \new Voice = sopranoSoloSolo { \local \sopranoSoloSolo }
      >>
    \new Lyrics = sopraniSoli \lyricsto sopranoSoloSolo \sopranoSoloLyrics

    \new ChoirStaff <<

      \new Staff = soprani
      <<
        \set Staff.instrumentName = "Soprano"
        \set Staff.shortInstrumentName = "S"
        \new Voice = soprano << \local \soprano >>
      >>
      \new Lyrics = soprano

      \new Staff = alti
      <<
	\set Staff.instrumentName = "Alto"
	\set Staff.shortInstrumentName = "A"
        \new Voice = alto << \local \alto >>
      >>
      \new Lyrics = alto

      \new Staff = tenori
      <<
        \local \clef "G_8"
	\set Staff.instrumentName = "Tenore"
	\set Staff.shortInstrumentName = "T"
        \new Voice = tenoreTutti { \local \tenoreTutti }
        \new Voice = tenoreI { \voiceOne \local \tenoreI }
        \new Voice = tenoreII { \voiceTwo \local \tenoreII }
      >>
      \new Lyrics = tenore

      \new Staff = bassi <<
        \set Staff.instrumentName = "Basso"
        \set Staff.shortInstrumentName = "B"
        \new Voice = bassoTutti << \local \bassoTutti >>
        \new Voice = bassoI << \voiceOne \local \bassoI >>
        \new Voice = bassoII << \voiceTwo \local \bassoII >>
      >>
      % ...
      % \new Lyrics = basso
    >>
    \context Lyrics = soprano \lyricsto soprano \sopranoLyrics
    \context Lyrics = alto \lyricsto alto \altoLyrics
    \context Lyrics = tenore \lyricsto tenoreTutti \tenoreLyrics
    \context Lyrics = basso \lyricsto bassoTutti \bassoLyrics
  >>
  \layout { \context { \RemoveEmptyStaffContext } }
}
