\version "2.10.0"

\include "mignon_common.ly"

\header { subsubtitle = "Nr. 4" }

\paper
{
  print-first-page-number = ##t
  first-page-number = #7
}

% bar += 125

local = {
  \global
  \key f \major
  \time 2/2
  \set Score.currentBarNumber = #126 \bar ""
}

sopranoSolo =
{
  R1*40
  % 166
  s1*4
  % 170
  R1 r2 s2 |
  % 172
  s1*2 s2 r r s
  % 176
  s1 s2 r R1*2
  % 180
  s1*6 s2 r r s |
  % 188
  s1*3 s2 r |
  % 192
  R1*3 s1*2 R1*5 r2 s |
  % 203
  s1*6 |
  % 209
  R1 s1*4 s2 r s1*8 R1*8
}

soprano = \relative c'' {
  R1*22 a2\mf g |
  % 149
  f e |
  % 150
  r2 f |
  % 151
  g \setTextCresc g4\< g |
  % 152
  a1\f |
  % 153
  R1 |
  % 154
  f2. a4 |
  % 155
  c2 bes |
  % 156
  r2 bes |
  % 157
  f' ees |
  % 158
  r2 r4 ees\p |
  % 159
  ees1 |
  % 160
  d2 c4 d |
  % 161
  d2 c |
  % 162
  r2 c |
  % 163
  \setTextCresc f1\<( |
  % 164
  ees2\!) ees |
  % 165
  d1 |
  % 166
  R1*4 a2.\f a4 |
  % 171
  d1 |
  % 172
  R1*2 g,2.\f g4 |
  % 175
  c1 |
  % 176
  R1 r2 d4\f d |
  % 178
  d2 d4 d |
  % 179
  f2\sf c4 c |
  % 180
  c2 r2 R1*5 c2.\f c4 |
  % 187
  f1 |
  % 188
  R1*3 d2.\f d4 |
  % 192
  g1 |
  % 193
  c,2. c4 |
  % 194
  f1 |
  % 195
  R1*2 c2.\f c4 |
  % 198
  ees1 |
  % 199
  R1*2 a,2.\f a4 |
  % 202
  c1 |
  % 203
  R1*4 d2.\f d4 |
  % 208
  g1 |
  % 209
  c,2. c4 |
  % 210
  f1 |
  % 211
  bes,2 a |
  % 212
  g g4 g |
  % 213
  g2 a4 bes |
  % 214
  c1 |
  % 215
  R1*4 c2\mf( bes4) bes |
  % 220
  a1 |
  % 221
  g2. g4 |
  % 222
  f1 |
  % 223
  R1*8
}

sopranoSoloI =
\relative c''
{
  s1*40
  % 166
  \once \override TextScript #'padding = #3
  d2^\markup{ \bold { I. II Soli } } \p c a a4 a bes2 bes4 bes a1\fp
  % 170
  s1 s2 a4\p a bes2 b c2 c4 c c2 s s c4\p c
  % 176
  ees2 ees4 ees d2\sf s s1*2
  % 180
  a1~\p a2 a g g4 g f2 f4 f bes2 a g a4 g
  % 186
  a2 s s a~\p a a4 a g2 g f f4 f bes2 s s1*3
  % 195
  s1*7
  % 202
  s2 \once \override TextScript #'padding = #3 c2~
  ^\markup { \bold { Sopr. I u. II Solo } } \p c bes a g4 g ees'2 d4 d cis1
  % 207
  c2 c b b s1
  % 210
  a2 a4 a bes2 a g1~( g2 ees) f s2
  % 215
  d'2^\markup { \bold { I Solo } } fis a g
  % 217
  r2 \setTextCresc a,\< c\! bes c bes4 bes a1 g f % TODO: end of cresc.?
  % 223
}

sopranoSoloII = 
\relative c''
{
  s1*40
  % 166
  bes2 a fis fis4 fis g2 g4 g fis1
  % 170
  s1 s2 fis4 fis g2 aes g2 g4 g g2 s s g4 g
  % 176
  a2 a4 a bes2 s s1*2
  % 190
  f1~ f2 f e e4 e d2 d4 d e2 f f e4 e
  % 186
  f2 s s f~ f f4 f e2 e d d4 d d2 s s1*3
  % 195
  \once \override TextScript #'padding = #3
  ges2.^\markup{ \bold { Sopr. II Solo } } \p ges4 ges2 f s1*5
  % 202
  s2 a2~ a g fis g4 g fis2 g4 g a1
  % 207
  a2 a g g s1
  % 210
  f2 f4 f f2 f f1( e2 c) c s2
  % 215
  R1*2
  % 217
  a'2^\markup { \bold { II Solo } } cis ees d fis, g4 g f1 e f
  % 223
}

altoSolo =
{
  R1*40
  % 166
  s1*4
  % 170
  R1 r2 s2 |
  % 172
  s1*2 s2 r r s
  % 176
  s1 s2 r R1*20
  % 198
  r2 s s1*2 |
  % 201
  R1*30
}

altoSoloI =
\relative c''
{
  s1*40
  % 166
  \once \override TextScript #'padding = #3 d,2
  ^\markup { \bold { I Solo } } \p ees d d4 d cis2 cis4 cis d1\fp
  % 170
  s1 s2 d4\p d g2 d ees ees4 ees ees2 s s ees4\p ees
  % 176
  c2 c4 c bes2\sf s s1*20
  % 198
  s2 c ees ees4 ees d1
  % 201
}

alto = \relative c'' {
  R1*22 f,2\mf d |
  % 149
  c c |
  % 150
  r2 f |
  % 151
  d \setTextCresc e4\< e |
  % 152
  f1\f |
  % 153
  R1 |
  % 154
  c2. f4 |
  % 155
  f2 f |
  % 156
  r2 bes |
  % 157
  g g |
  % 158
  r2 r4 c4\p |
  % 159
  c1 |
  % 160
  bes2 a4 bes |
  % 161
  bes2 a |
  % 162
  r2 a |
  % 163
  a( \setTextCresc bes~\< bes\!) a |
  % 165
  bes1 |
  % 166
  R1*4 fis2.\f fis4 |
  % 171
  fis1 R1*2 ees2.\f ees4 |
  % 175
  ees1 R1 r2 bes'4\f bes |
  % 178
  bes2 bes4 bes |
  % 179
  a2\sf a4 a |
  % 180
  a2 r R1*5 a2.\f a4 |
  % 187
  a1 |
  % 188
  R1*3 f2.\f f4 |
  % 192
  g1 |
  % 193
  g2. g4 |
  % 194
  f1 |
  % 195
  R1*2 ees2.\f ees4 |
  % 198
  f1 |
  % 199
  R1*2 ees2.\f ees4 |
  % 202
  d1 |
  % 203
  R1*4 a'2.\f a4 |
  % 208
  b1 |
  % 209
  g2. g4 |
  % 210
  a1 |
  % 211
  f2 f |
  % 212
  f f4 f |
  % 213
  e2 e4 e |
  % 214
  c1 |
  % 215
  R1*4 fis'2\mf( g4) g |
  % 220
  f1 |
  % 221
  e2. e4 |
  % 222
  f1 |
  % 223
  R1*8
}

tenoreTutti = \relative c' {
  \local
  % 126
  R1*2
  % 128,129
  s1*2 |
  % 130
  r2 s |
  % 131,7
  s1*2 |
  % 133
  R1 |
  % 134,135
  s1*2 |
  % 136
  r2 s |
  % 137
  s1 |
  % 138-145
  r2 r4 s s1*7
  % 146
  R1*2 c2\mf d |
  % 149
  a g |
  % 150
  r2 c |
  % 151
  d2 \setTextCresc c4\< c |
  % 152
  c1\f |
  % 153
  R1 |
  % 154
  a2. c4 |
  % 155
  f,2 f |
  % 156
  r2 bes |
  % 157
  c c |
  % 158
  R1*2 r2 f\p |
  % 161
  f1 |
  % 162
  \times 2/3 { ees2 d ees } |
  % 163
  \setTextCresc ees2\<( f~\! f) f |
  % 165
  f1 |
  % 166
  R1*4 a,2.\f a4 |
  % 171
  a1 |
  % 172
  R1*2 g2.\f g4 |
  % 175
  ees'1 |
  % 176
  R1 r2 f4\f f |
  % 178
  f2 f4 f |
  % 179
  f2\sf c4 c |
  % 180
  c2 r2 R1*5 c2.\f c4 |
  % 187
  c1 |
  % 188
  R1*3 d2.\f d4 |
  % 192
  d1 |
  % 193
  e2. e4 |
  % 194
  f1 |
  % 195
  R1*2 c2.\f c4 |
  % 198
  c1 |
  % 199
  R1*2 c2.\f c4 |
  % 202
  a1 |
  % 203
  R1*4 d2.\f d4 |
  % 208
  d1 |
  % 209
  c2. c4 |
  % 210
  c1 |
  % 211
  bes2 c |
  % 212
  d d4 d |
  % 213
  c2 c4 c |
  % 214
  c1 |
  % 215
  R1*4 c2\mf( d4) d |
  % 220
  c1 |
  % 221
  bes2. bes4 |
  % 222
  a1 |
  % 223
  R1*8
}

tenoreI = \relative c' {
  \local % melismaBusyProperties, for slurs...
  s1*2 |
  % 128
  f2\mf g |
  % 129
  f e |
  % 130
  s2 f |
  % 131
  \setTextCresc g\< g4 g |
  % 132
  a1\f |
  % 133
  s1 |
  % 134
  g,2.\f b4 |
  % 135
  d2 c |
  % 136
  s2 c |
  % 137
  g' f |
  % 138
  s2 s4 f\p |
  % 139
  f1 |
  % 140
  \times 2/3 { e2 d e }
  % 141
  e1 |
  % 142
  d2. g4 |
  % 143
  g1( |
  % 144
  f2.) f4 |
  % 145
  e1 |
}

tenoreII = \relative c' {
  s1*2 |
  % 128
  c2 d |
  % 129
  c c |
  % 130
  s2 c |
  % 131
  f e4 e |
  % 132
  f1 |
  % 133-12
  s1 g,2. b4 d2 c s c g' f | % TODO: check if one or two voices? Rather one...
  % 138
  s2. d4 |
  % 139
  d1 |
  % 140
  \once \override TupletBracket #'transparent = ##t
  \once \override TupletNumber #'transparent = ##t
  \times 2/3 { c2 b c } |
  % 141
  c1 |
  % 142
  b2. e4 |
  % 143
  e1( |
  % 144
  c2.) c4 |
  % 145
  c1 |
}

bassoTutti = \relative c {
  \local % dyn. & lyrics
  % 126
  R1*2 s1*2 r2 s2 s1*2 R1*6 s1*7 R1 R
  % 148
  f2\mf bes, |
  % 149
  c c |
  % 150
  r2 a |
  % 151
  bes \setTextCresc c4\< c |
  % 152
  f1\f |
  % 153
  R1 |
  % 154
  ees2. ees4 |
  % 155
  d2 d |
  % 156
  r2 d |
  % 157
  c c |
  % 158
  r2 r4 f\p |
  % 159
  f1 |
  % 160
  f2 f4 f |
  % 161
  f2 f |
  % 162
  r2 c' |
  % 163
  c2( d~ d) c |
  % 165
  bes1 |
  % 166
  R1*4 a2.\f a4 |
  % 171
  d,1 |
  % 172
  R1*2 g2.\f g4 |
  % 175
  c,1 |
  % 176
  R1 r2 bes'4\f bes |
  % 178
  bes2 bes4 bes |
  % 179
  c2\sf c,4 c |
  % 180
  c2 r R1*5 c'2.\f c4 |
  % 187
  f,1 |
  % 188
  R1*3 bes2.\f bes4 |
  % 192
  bes1 |
  % 193
  bes2. bes4 |
  % 194
  a1 |
  % 195
  R1*2 bes2.\f bes4 |
  % 198
  a1 |
  % 199
  R1*2 g2.\f g4 |
  % 202
  fis1 |
  % 203
  R1*3 \setTextCresc a1\p\<( |
  % 207
  fis2.\f) fis4 |
  % 208
  f1 |
  % 209
  e2. e4 |
  % 210
  ees1 |
  % 211
  d2 c |
  % 212
  bes bes4 bes |
  % 213
  c2 bes4 bes |
  % 214
  a1 |
  % 215
  R1*4 a'2\mf( bes4) bes |
  % 220
  c,1 |
  % 221
  c2. c4 |
  % 222
  f1 |
  % 223
  R1*8
}

bassoI = \relative c {
  \local % for the dynamics...
  s1*2 a'2\mf bes |
  % 129
  a g |
  % 130
  s2 c |
  % 131
  \setTextCresc d\< c4 c |
  % 132
  c1\f |
  % 133
  s1*6 R1*3 r2 r4 c\p |
  % 143
  c1~ c2. c4 |
  % 145
  c1 |
  % 146
  % R1*2
}

bassoII = \relative c {
  \local % for the slurs not to get in the way of the lyrics...
  s1*2 f2 bes, |
  % 129
  c c |
  % 130
  s2 a' |
  % 131
  bes c4 c |
  % 132
  f,1 |
  % 133
  s1*6 r2 { \dynamicDown g,2\p } |
  % 140
  g1~ g2 g |
  % 142
  g2. bes'4 |
  % 143
  bes1( |
  % 144
  \times 2/3 { a2 g) a } |
  % 145
  g1 |
}

kraft = \lyricmode {
  In euch le -- be die bil -- den -- de Kraft, die, das Schön -- ste, das Höch
-- ste, hin -- auf ü -- ber die 
}

sterneTenor = \lyricmode { Ster -- _ ne }
sterneOthers = \lyricmode { Ster -- ne das Le -- _ ben }

sch = \lyricmode { schaut hin -- an }
schl = \lyricmode { schaut __ _ hin -- an }
mit = \lyricmode { mit den Au -- gen des Gei -- stes hin -- an }

schaut = \lyricmode {
  trägt. \sch \sch \mit \sch \sch \sch \sch \sch \sch \sch \mit \schl \sch
}

sopranoSoloLyrics =
\lyricmode
{ % associatedVoice = sopranoSoloII
  % 166
  A -- ber ach! wir ver -- mis -- sen sie hier,
  % 171
  in den Gär -- ten wan -- delt sie nicht;
  % 175
  wir ver -- mis -- sen sie hier.
  % 180
  wir __ ver -- mis -- sen sie hier, in den
  % 184
  Gär -- ten wan -- delt sie nicht,
  % 187
  sam -- melt der Wie -- se Blu -- men nicht mehr.
  % 195
  Lasst uns wei -- nen!
  % 202
  Lasst __ uns wei -- nen, wir las -- sen sie hier!
  % 207
  lasst uns wei -- nen, wei -- nen und bei ihr blei __ _ _
  % 214
  \set associatedVoice = sopranoSoloI ben, lasst uns 
  \set associatedVoice = sopranoSoloII wei -- nen,
  % 217
  lasst uns wei -- nen und bei ihr blei __ _ ben!
}

altoSoloLyrics =
\lyricmode
{
  % 166
  A -- ber ach! wir ver -- mis -- sen sir hier,
  % 171
  in den Gär -- ten wan -- delt sie nicht;
  % 175
  wir ver -- mis -- sen sie hier.
  % 198
  Wir las -- sen sir hier!
}

sopranoLyrics = \lyricmode {
   \kraft \sterneOthers \schaut
}

altoLyrics = \lyricmode {
   \kraft \sterneOthers \schaut
}

tenoreLyrics = \lyricmode {
  \kraft Ster -- ne das Le -- _ ben \set associatedVoice = tenoreTutti trägt.
   \kraft \sterneTenor \schaut
}

bassoLyrics = \lyricmode {
  In euch le -- be die bil -- den -- de Kraft,
  % Bloody hell...
  hin -- auf, hin -- auf
  das Le -- _ _ ben \set associatedVoice = bassoTutti trägt.
  \kraft \sterneOthers
  % One syllable longer...
  trägt. \sch \sch \mit \sch \sch \sch \sch \sch \schl \sch \mit \schl \sch
}

\score {
  <<
    \new Staff = sopraniSoli <<
      \set Staff.instrumentName = "Soprani Soli"
      \set Staff.shortInstrumentName = "Sopr." % "S. soli" was not bad, either
      \new Voice = sopranoSolo { \local \sopranoSolo }
      \new Voice = sopranoSoloI { \voiceOne \local \sopranoSoloI }
      \new Voice = sopranoSoloII { \voiceTwo \local \sopranoSoloII }
    >>
    \new Lyrics = sopranoSolo \lyricsto sopranoSoloII \sopranoSoloLyrics

    \new Staff = altiSoli <<
      \set Staff.instrumentName = "Alti Soli"
      \set Staff.shortInstrumentName = "Alt."
      \new Voice = altoSolo { \local \altoSolo }
      \new Voice = altoSoloI { \voiceOne \local \altoSoloI }
      % No alto II ?
      % \new Voice = altoSoloII { \voiceTwo \local \altoSoloII }
    >>
    \new Lyrics = altoSolo \lyricsto altoSoloI \altoSoloLyrics

    \new ChoirStaff <<
      \new Staff = soprani <<
        \set Staff.instrumentName = "Soprano"
        \set Staff.shortInstrumentName = "S"
        \new Voice = soprano << \local \soprano >>
      >>
      \new Lyrics = soprano

      \new Staff = alti <<
        \set Staff.instrumentName = "Alto"
        \set Staff.shortInstrumentName = "A"
        \new Voice = alto << \local \alto >>
      >>
      \new Lyrics = alto

      \new Staff = tenori {
        \local \clef "G_8"
        \set Staff.instrumentName = "Tenore"
        \set Staff.shortInstrumentName = "T"
        % R1*2 % Goodbye...
        <<
          \new Voice = tenoreI  { \dynamicUp \voiceOne \tenoreI }
          \new Voice = tenoreII  { \dynamicUp \voiceTwo \tenoreII }
          \new Voice = tenoreTutti { \dynamicUp \tenoreTutti }
        >>
      }
      \new Lyrics = tenore

      \new Staff = bassi <<
        \set Staff.instrumentName = "Basso"
        \set Staff.shortInstrumentName = "B"
        \local \clef bass
        \new Voice = bassoI { \voiceOne \bassoI }
        \new Voice = bassoII { \voiceTwo \bassoII }
        \new Voice = bassoTutti { \bassoTutti }
      >>
      % \new Lyrics = basso
    >>
    \context Lyrics = soprano \lyricsto soprano \sopranoLyrics
    \context Lyrics = alto \lyricsto alto \altoLyrics
    \context Lyrics = tenore \lyricsto tenoreI \tenoreLyrics
    \context Lyrics = basso \lyricsto bassoII \bassoLyrics
  >>
  \layout { \context { \RemoveEmptyStaffContext } }
}
